import {
  __export
} from "./chunk-QK4PKNB3.mjs";

// src/Zero.ts
var Zero_exports = {};
__export(Zero_exports, {
  guard: () => guard
});
function guard(F, P) {
  return (b) => b ? P.of(void 0) : F.zero();
}

export {
  guard,
  Zero_exports
};
